.lm 8.rm 72.nhy

.no autosubtitle .style headers 3,0,0
.pg.uc.ps 58,80.lm 8.rm 72
.hd
.hd mixed
.head mixed

.st ########netio###network io routines for use with netlnk
.pg
.hl 1 ^&network io routines for use with netlnk\&
.s 2
.c ;*********
.c ;* netio *
.c ;*********
.s 2
.lm +8
.s.i -8;NAME:	netio -- network io routines for use with netlnk
.s.f
.i -8;SYNOPSIS:
.s.nf
.nf
  get__net(buf, len, iovp)
  char *buf;		/* buffer to read into */
  int len;		/* size of buffer */
  NIOV *np;		/* ptr to NIOV of open link */
.fill
.s
.nf
  put__net(buf, len, iovp)
  char *buf;
  int len;
  NIOV *np;
.fill
.s
.nf
  gta__net(buf, len, np, ast)
  char *buf;
  int len;
  NIOV *np;
  int (*ast)();
.fill
.s.f
.i -8;DESCRIPTION:
.s
These routines provide network IO calls similar to the
file system fget() and fput() calls.
.s
The NIOV pointers are similar to file pointers and are
returned by con__net() or acc__net() calls.
.s
Get__net() and put__net() return the number of bytes received
or sent. On error, bith return NULL, the error code is in
$$nerr.
.s
Both routines are synchonous, they don't return until
the get or put completes. Note that if you call get__net()
and the other node is also waiting for you to send data,
both task will stall forever.
.s
Gta__net() allows specifying an ast function to be called
when the network receive completes. This function returns
immediately. If the read is successfully started, 1 is
returned, on error, 0 is returned with the error code in
$$nerr.
.s
.s
.i -8;IMPLEMENTATION DETAILS:
.s
Derived from the original netutl routines. These routines
use the NIOV structure defined in <stdnet.h>.
.s
.i -8;BUGS:
.s
Until all current tasks are converted, there will be
two versions of the netutl functions around, with the
expected confusion.
.s
.lm 8.rm 72.nhy

